//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

fd_set socketset;
fd_set* cpy = NULL;
fd_set* wcpy = NULL;
int nfds;
int wantsend;//how many send buffer blocks are there altogether?

void recalculatenfds();
void setSocketNonblocking(int socket);

#ifdef WIN
#ifndef NI_NUMERICHOST
#define NI_NUMERICHOST 2
#endif
#endif

#ifdef IPV6
#define add sin6_addr
#define sadd sin6_addr
#define fam sin6_family
#define ADD_ANY in6addr_any
//#define ADD_NONE in6addr_none
#define AINET AF_INET6
#define sport sin6_port
#endif
#ifndef IPV6
#define add sin_addr
#define sadd sin_addr.s_addr
#define fam sin_family
#define ADD_ANY INADDR_ANY
#define ADD_NONE INADDR_NONE
#define AINET AF_INET
#define sport sin_port
#endif

